Bug 138362 - CAN-2004-0983 Denial of Service in Ruby
CAN-2004-0983 Denial of Service in Ruby
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ruby (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Bill Huang
impact=moderate,public=20041103
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 11:26 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 13:53:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from upstream to fix this issue. (1.01 KB, patch)
2004-11-08 11:52 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-11-08 11:26:35 EST
Upstream has fixed a denial of service issue in ruby.  The CGI module
could enter into an infinite loop if a specially crafted request is
sent to it.

This issue also affects RHEL2.1
Comment 1 Josh Bressers 2004-11-08 11:52:45 EST
Created attachment 106289 [details]
Patch from upstream to fix this issue.
Comment 2 Akira TAGOH 2004-11-09 02:47:18 EST
Thanks for letting me know. I'll work on this.
Comment 3 Akira TAGOH 2004-11-10 02:25:04 EST
this issue should be fixed in 1.6.8-9.EL3.3 for RHEL3 and
1.6.4-2.AS21.1 for AS2.1
Comment 4 Mark J. Cox (Product Security) 2004-12-13 13:53:55 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-635.html

Note You need to log in before you can comment on or make changes to this bug.